slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcInitializeNoPointers

Calls SlepcInitialize() from C/C++ without the pointers to argc and args (analogue to PetscInitializeNoPointers).

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcInitializeNoPointers(int argc,char **args,const char *file,const char *help)

Collective

### Input Parameters

| argc | - count of number of command line arguments
| args | - the command line arguments
| file | - [optional] PETSc database file, defaults to ~username/.petscrc (use NULL for default)
| help | - [optional] Help message to print, use NULL for no message

### See Also

SlepcInitialize()

### Level

advanced

### Location

src/sys/slepcinit.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages